#!/usr/bin/bash

ver=$(grep '^Version:' eclipse-usage.spec | sed 's/.*:\s*//')

gittag="jbosstools-$ver"

mkdir $gittag
pushd $gittag

# JBoss Tools is split across many repositories
function clone() {
  local module=$1
  local gittag=$2
  wget https://github.com/jbosstools/$module/archive/$gittag.tar.gz
  mkdir $module
  tar --strip-components=1 --directory=$module -xf $gittag.tar.gz
  rm $gittag.tar.gz
}

clone jbosstools-base $gittag.Final
clone jbosstools-build $gittag.Final

# Delete pre-built artifacts
for ext in jar war zip class; do
  find -type f -name *.$ext -delete
done

# Delete modules we are not currently interested in building
for m in jbosstools-base/{site,tests,common,stacks,runtime} ; do
  rm -rf $m && sed -i -e "/<module>$(basename $m)/d" $(dirname $m)/pom.xml
done

popd
tar cJf $gittag.tar.xz $gittag/
rm -r $gittag/

